vault
Pitfall of upgrading multitenancy Hashicorp Vault Terraform provider
· ☕ 4 min read
Hi, so long after my last post. If you are using Terraform Vault provider to provision for Hashicorp Vault and the version is lower than 2.3.0 and also using cloud provider auth methods, you should read this. As I was upgrading the Vault and the Terraform provider vault(terraform-provider-vault), I ran into this pitwall. You will never be able to upgrade your Terraform provider if you ran into this pitfall and leave it.